RUN_DISCOSNPRAD.SH(1)

NAME
run_discoSnpRad.sh - pipelining kissnp2 and kissreads and clustering per locus for calling SNPs and small indels from RAD-seq data without the need of a reference genome

SYNOPSIS
run_discoSnpRad.sh -r read_file_of_files [OPTIONS]

DESCRIPTION
run_discoSnpRad.sh, pipelining kissnp2 and kissreads and clustering per locus for calling SNPs and small indels from RAD-seq data without the need of a reference genome Version 2.3.X

    MANDATORY:

-r read_file_of_files
    Example: -r bank.fof with bank.fof containing the two lines

data_sample/reads_sequence1.fasta
    data_sample/reads_sequence2.fasta.gz

-S **absolute** path to short_read_connector directory, containing the short_read_connector.sh'' file.
    -Note1: short read connector must be compiled. -Note2: if this option is missing, discoSnpRad will still however provide a fasta file containing SNPs and INDELS, that won't be clustered by locus

    DISCOSNPRAD OPTIONS:

    -g: reuse a previously created graph (.h5 file) with same prefix and same k and c parameters. -b value.

1: (smart branching) forbid SNPs for which the two paths are branching (e.g. the two paths can be created either with a 'A' or a 'C' at the same position Default value
    2: No limitation on branching (lowers the precision, high recall)

    -s value. In b2 mode only: maximal number of symmetrical croasroads traversed while trying to close a bubble. Default: no limit -D value. discoSnpRad will search for deletions of size from 1 to D included. Default=100 -a value. Maximal size of ambiguity of INDELs. INDELS whose ambiguity is higher than this value are not output [default '20'] -P value. discoSnpRad will search up to P SNPs in a unique bubble. Default=5 -p prefix. All out files will start with this prefix. Default="discoRad" -l: remove low complexity bubbles -k value. Set the length of used kmers. Must fit the compiled value. Default=31 -c value. Set the minimal coverage per read set: Used by kissnp2 (don't use kmers with lower coverage) and kissreads (read coherency threshold). This coverage can be automatically detected per read set or specified per read set, see the documentation. Default=auto -C value. Set the maximal coverage for each read set: Used by kissnp2 (don't use kmers with higher coverage). Default=2^31-1 -d value. Set the number of authorized substitutions used while mapping reads on found SNPs (kissreads). Default=1 -u: max number of used threads -v: verbose 0 (avoids progress output) or 1 (enables progress output) -- default=1.

    -h: Prints this message and exist

Any further question: read the readme file or contact us via the Biostar forum: https://www.biostars.org/t/discosnp/

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.